#pragma once
#include "EntityState.h"
extern const int CS_PUPPYSTATENAME_BITE;
class CS_PuppyBite :
	public EntitySkillState
{
public:
	CS_PuppyBite();
	const wchar_t* GetSaveName() override;
	void State() override; 
	void SubStep() override;
	void ChangeStateMsg(int stateID) override;
	bool Hurt(std::weak_ptr<Entity> src, int* pGetDamage, float* pAngle, bool* pTakedown, int* pElemType,
		float* pShockForce, float* pHeavy, int* outRealDamage, bool* outRetVal) override;
	bool BeginCaught(std::weak_ptr<Entity> src, std::weak_ptr<Entity>& ret) override;
	int ready_counter_max = 30;
	int ready_counter = 0;
};

